summaryrefslogtreecommitdiff
path: root/t/t9700-perl-git.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-12-03 13:51:41 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-12-03 13:51:41 -0800
commit9c1506af6ae953f54e11ce6a326bf0cd21de2b67 (patch)
tree6640276dd50ccc31e4c8790166dfb1da39c36577 /t/t9700-perl-git.sh
parentMerge branch 'mm/config-pathname-tilde-expand' into maint (diff)
parentMake sure $PERL_PATH is defined when the test suite is run. (diff)
downloadtgif-9c1506af6ae953f54e11ce6a326bf0cd21de2b67.tar.xz
Merge branch 'pb/maint-use-custom-perl' into maint
* pb/maint-use-custom-perl: Make sure $PERL_PATH is defined when the test suite is run.
Diffstat (limited to 't/t9700-perl-git.sh')
-rwxr-xr-xt/t9700-perl-git.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t9700-perl-git.sh b/t/t9700-perl-git.sh
index 4eb7d3f7f0..8686086dde 100755
--- a/t/t9700-perl-git.sh
+++ b/t/t9700-perl-git.sh
@@ -11,7 +11,7 @@ if ! test_have_prereq PERL; then
test_done
fi
-perl -MTest::More -e 0 2>/dev/null || {
+"$PERL_PATH" -MTest::More -e 0 2>/dev/null || {
say "Perl Test::More unavailable, skipping test"
test_done
}
@@ -48,6 +48,6 @@ test_expect_success \
test_external_without_stderr \
'Perl API' \
- perl "$TEST_DIRECTORY"/t9700/test.pl
+ "$PERL_PATH" "$TEST_DIRECTORY"/t9700/test.pl
test_done